hd_status_t Struct Reference
Public interface » ID macros

Hardware status. More...

`#include <hd.h>`

## Data Fields

unsigned | invalid:1
| Status fields are invalid.
unsigned | reconfig:3
| Hardware should be reconfigured.
unsigned | configured:3
| Hardware config status.
unsigned | available:3
| Hardware availability.
unsigned | needed:3
| Hardware is needed.
unsigned | available_orig:3
| (Internal) original value of available; This is used to keep track of the original value of the hd_status_t::available state as it was stored in /var/lib/hardware/unique-keys/.
unsigned | active:3
| Hardware is active.

## Detailed Description

Hardware status.

The status is stored in /var/lib/hardware/unique-keys/ and used to detect if the hardware is new and has to be configured by some hardware config tool.

The documentation for this struct was generated from the following file:

- hd.h